Subject: Re: Bug in C02cont.ztst's -N test
From: Bart Schaefer <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 9 May 2016 09:21:58 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 9, 10:42pm, Jun T. wrote:
}
} Moving 'touch $newnewnew' into the 'else' block causes a problem
} on a system where the test for -N is skipped, for example Cygwin.
} The file newnewnew is not created at all, and the next test
}   [[ $newnewnew -nt $zlnfs && ! ($unmodified -nt $zlnfs) ]] 
} fails.

Hrm.  My concern was that if we spend a full minute spinning to wait
for the noatime check, then $newnewnew won't be new new new *enough*
if it were created before that delay.  I hadn't noticed that there
were inter-dependent tests following later.

Do we need to "sleep 2" before touching $newnewnew, though?  Or could
that part stay in the "elif"?